Get default auth parameters

Retrieves default authentication parameters for a specific auth kind.

POST
/blueprints/{blueprintId}/integrations/{integrationId}/auth/defaults
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Path Parameters

blueprintIdstring

Blueprint ID

integrationIdstring

Integration ID

Auth kind request

authKindintegrations.AuthType
Value in"basic" | "bearer" | "apikey" | "oauth2" | "custom"

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/blueprints/string/integrations/string/auth/defaults" \  -H "Content-Type: application/json" \  -d '{    "authKind": "basic"  }'
[
  {
    "advanced": true,
    "description": "string",
    "hidden": true,
    "in": "path",
    "mapFrom": "string",
    "name": "string",
    "options": [
      {
        "label": "string",
        "value": "string"
      }
    ],
    "required": true,
    "schema": null,
    "secret": true,
    "title": "string",
    "transforms": [
      {
        "conditions": [
          {
            "else": {
              "conditions": [],
              "source": "string",
              "target": "string",
              "transform": "string",
              "type": "string"
            },
            "if": "string",
            "then": {
              "conditions": [],
              "source": "string",
              "target": "string",
              "transform": "string",
              "type": "string"
            }
          }
        ],
        "source": "string",
        "target": "string",
        "transform": "string",
        "type": "string"
      }
    ],
    "value": null
  }
]
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}